#%%define snapdate 20060716
%define snapshot 0%{?snapdate:1}

Name:      scim
Version:   1.4.7
Release:   23%{?dist}
Summary:   Smart Common Input Method platform

License:   LGPLv2+
Group:     System Environment/Libraries
URL:       http://www.scim-im.org/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}%{?snapdate:-%{snapdate}}.tar.gz
Source1:   xinput-scim
Source2:   scim-icons-0.7.tar.gz
Source3:   scim-system-config
Source4:   scim-system-global
Source5:   scim-1.4.7_translation-update.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel, libXt-devel
# for autoreconf
Buildrequires: autoconf automake gettext libtool
%if %{snapshot}
# for devel docs
BuildRequires: doxygen
%endif
Requires:  %{name}-libs = %{version}-%{release}
Requires: im-chooser
Requires(post): %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives
Obsoletes: iiimf-gtk <= 1:12.2, iiimf-gnome-im-switcher <= 1:12.2, iiimf-server <= 1:12.2, iiimf-x <= 1:12.2
Patch1:    scim-add-restart.patch
# Patch6:    scim-system-default-config.patch
Patch7:    scim_panel_gtk-emacs-cc-style.patch
Patch8:    initial-locale-hotkey-186861.patch
Patch9:    scim_panel_gtk-icon-size-fixes.patch
Patch11:   scim-1.4.5-panel-menu-fixes.patch
Patch12:   scim-fix-unload-segfault.patch
Patch15:   scim-gtkimm-default-snooper-off-213796.patch
Patch17:   scim-1.4.5-no-rpath-libdir.patch
Patch19:   scim-1.4.7-remove-locale.patch
Patch20:   scim-1.4.7-fix-fallback.patch
Patch21:   scim-1.4.7-fix-capslock.patch
Patch22:   scim-1.4.7-fix-gdm.patch
Patch23:   scim-1.4.7-remove-help-frame.patch
Patch24:   scim-1.4.7-translation-update-431995.patch

%description
SCIM is a user friendly and full featured input method user interface and
also a development platform to make life easier for Input Method developers.


%package devel
Summary:    Smart Common Input Method platform
Group:      Development/Libraries
Requires:   %{name}-libs = %{version}-%{release}
Requires:   gtk2-devel
Requires:   pkgconfig
Obsoletes:  iiimf-libs-devel <= 1:12.2

%description devel
The scim-devel package includes the header files for the scim package.
Install scim-devel if you want to develop programs which will use scim.


%package doc
Summary:    Smart Common Input Method platform documentation
Group:      Documentation
Obsoletes:  iiimf-docs <= 1:12.2

%description doc
SCIM development documentation files generated from the sourcecode.


%package gtk
Summary:    Smart Common Input Method Gtk IM module
Group:      System Environment/Libraries
# for %{_libdir}/gtk-2.0/immodules
Requires: gtk2 >= 2.11.6-7.fc8
# for update-gtk-immodules
Requires(post): gtk2 >= 2.9.1-2
Requires(postun): gtk2 >= 2.9.1-2

%description gtk
This package provides a GTK input method module for SCIM.


%package libs
Summary:    Smart Common Input Method libraries
Group:      System Environment/Libraries
Obsoletes:  iiimf-libs <= 1:12.2, iiimf-csconv <= 1:12.2

%description libs
This package provides the libraries for SCIM.


%package rawcode
Summary:    SCIM Unicode Input Method Engine
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description rawcode
This package provides an Input Method Engine for inputting unicode characters
but their unicode codepoints.


%define lang_meta_pkg() \
%package lang-%1\
Summary:    SCIM meta package for %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") support\
Group:      System Environment/Libraries\
Requires:   scim-bridge-gtk %(echo %* | sed -e "s/[a-z]* //")\
\
%description lang-%1\
This package requires the SCIM packages needed for %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") support.\
\
%files lang-%1


%lang_meta_pkg assamese scim-m17n m17n-db-assamese m17n-contrib-assamese
%lang_meta_pkg bengali scim-m17n m17n-db-bengali m17n-contrib-bengali
%lang_meta_pkg chinese scim-chewing scim-python-pinyin scim-tables-chinese
%lang_meta_pkg dhivehi scim-m17n m17n-db-dhivehi
%lang_meta_pkg farsi scim-m17n m17n-db-farsi
%lang_meta_pkg gujarati scim-m17n m17n-db-gujarati m17n-contrib-gujarati
%lang_meta_pkg hindi scim-m17n m17n-db-hindi m17n-contrib-hindi
%lang_meta_pkg japanese scim-anthy
%lang_meta_pkg kannada scim-m17n m17n-db-kannada m17n-contrib-kannada
%lang_meta_pkg korean scim-hangul
%lang_meta_pkg latin scim-m17n, m17n-db-latin
%lang_meta_pkg malayalam scim-m17n, m17n-db-malayalam m17n-contrib-malayalam
%lang_meta_pkg marathi scim-m17n, m17n-contrib-marathi
%lang_meta_pkg nepali scim-m17n m17n-contrib-nepali
%lang_meta_pkg oriya scim-m17n, m17n-db-oriya m17n-contrib-oriya
%lang_meta_pkg punjabi scim-m17n, m17n-db-punjabi m17n-contrib-punjabi
%lang_meta_pkg sinhalese scim-sinhala scim-m17n m17n-db-sinhala m17n-contrib-sinhala
%lang_meta_pkg tamil scim-m17n, m17n-db-tamil m17n-contrib-tamil
%lang_meta_pkg telugu scim-m17n, m17n-db-telugu m17n-contrib-telugu
%lang_meta_pkg thai scim-m17n, m17n-db-thai
%lang_meta_pkg tibetan scim-m17n, m17n-db-tibetan


%define scim_api 1.4.0

%define _xinputconf %{_sysconfdir}/X11/xinit/xinput.d/scim.conf


%prep
%setup -q %{?snapdate:-n %{name}-%{version}-%{snapdate}} -a2 -a5

cp -p scim-icons/icons/*.png data/icons
cp -p scim-icons/pixmaps/*.png data/pixmaps

# use our system config & global file
mv configs/config{,.orig} 
cp -p %{SOURCE3} configs/config
mv configs/global{,.orig} 
cp -p %{SOURCE4} configs/global

cp -p scim_translations/*.po po

%patch7 -p1 -b .7-emacs-ccmode~
%patch8 -p1 -b .8-hotkey~
%patch9 -p1 -b .9-icon-size~
%patch11 -p1 -b .11-factory-menu~
%patch12 -p1 -b .12-unloadsegfault~
%patch15 -p1 -b .15-key-snooper~
%patch17 -p1 -b .17-rpath~
%patch19 -p1 -b .19-remove-locale~
%patch20 -p1 -b .20-fix-fallback
%patch21 -p1 -b .21-fix-capslock
%patch22 -p1 -b .22-fix-gdm
%patch23 -p1 -b .23-help-frame
%patch24 -p1 -b .24-trans


%if %{snapshot}
./bootstrap
%else
# patch1, patch17, patch24 touch configure.ac and Makefile.am
autoreconf
%endif


%build
%configure --disable-static --enable-ld-version-script
make %{?_smp_mflags}

%if %{snapshot}
make -C docs html
rm -f docs/html/Helvetica.ttf
%endif


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

# remove .la files
find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

# remove scim-setup.desktop file since it is confusing with im-chooser
rm ${RPM_BUILD_ROOT}/%{_datadir}/applications/scim-setup.desktop
# remove capplet
rm ${RPM_BUILD_ROOT}/%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

# install xinput config file
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_xinputconf}

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
# remove old xinput.d alternatives
%define cjk_langs ja_JP ko_KR zh_CN zh_HK zh_TW
%define indic_langs as_IN bn_IN gu_IN hi_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN
%define supported_langs %{cjk_langs} %{indic_langs} ne_NE si_LK th_TH vi_VN
for llcc in %{supported_langs}; do
   %{_sbindir}/alternatives --remove xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/scim &>/dev/null || :
   # if alternative was set to manual scim, reset to auto
   [ -L %{_sysconfdir}/alternatives/xinput-$llcc -a "`readlink %{_sysconfdir}/alternatives/xinput-$llcc`" = "%{_sysconfdir}/X11/xinit/xinput.d/scim" ] && %{_sbindir}/alternatives --auto xinput-$llcc &>/dev/null || :
done

# xinputrc alternative
%{_sbindir}/alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_xinputconf} 82 || :


%post gtk
%{_bindir}/update-gtk-immodules %{_host} || :


%post libs -p /sbin/ldconfig


%postun
if [ "$1" = "0" ]; then
   %{_sbindir}/alternatives --remove xinputrc %{_xinputconf} || :
   # if alternative was set to manual scim, reset to auto
   [ -L %{_sysconfdir}/alternatives/xinputrc -a "`readlink %{_sysconfdir}/alternatives/xinputrc`" = "%{_xinputconf}" ] && %{_sbindir}/alternatives --auto xinputrc || :
fi


%postun gtk
%{_bindir}/update-gtk-immodules %{_host} || :


%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog TODO
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_bindir}/*
%dir %{_libdir}/scim-1.0
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%dir %{_libdir}/scim-1.0/%{scim_api}
%{_libdir}/scim-1.0/%{scim_api}/Filter
%{_libdir}/scim-1.0/%{scim_api}/FrontEnd
%{_libdir}/scim-1.0/%{scim_api}/Helper
%dir %{_libdir}/scim-1.0/%{scim_api}/IMEngine
%{_libdir}/scim-1.0/%{scim_api}/SetupUI
%{_datadir}/scim
%{_datadir}/pixmaps/*
%config(noreplace) %{_xinputconf}

%files devel
%defattr(-,root,root,-)
%doc docs/developers
%{_includedir}/scim-1.0
%{_libdir}/libscim*.so
%{_libdir}/pkgconfig/*.pc


%files doc
%defattr(-,root,root,-)
%doc docs/html


%files gtk
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/immodules/im-scim.so


%files libs
%defattr(-,root,root,-)
%{_libdir}/libscim-*.so.*
%{_libdir}/scim-1.0/%{scim_api}/Config
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/socket.so


%files rawcode
%defattr(-,root,root,-)
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/rawcode.so


%changelog
* Wed Apr 30 2008 Jens Petersen <petersen@redhat.com> - 1.4.7-23
- remove the multilib scim-bridge-gtk requires hack from scim-lang-* (#444681)

* Wed Apr  9 2008 Jens Petersen <petersen@redhat.com> - 1.4.7-22
- added translations for es, gu, hi, kn, ml, mr, pt_BR, ru, ta, te
  (Red Hat L10n Team, #431995)
- added translations for sk and vi from upstream
- updated translations for de, it, ja, ko, pa, zh_CN (Red Hat L10n Team)
- scim-1.4.7-ja-sinhala-236715.patch is no longer required

* Wed Apr 02 2008 Huang Peng <phuang@redhat.com> - 1.4.7-21
- Update scim.conf to check qtimm in qt4 folder for qtimm.
- Re-add scim-1.4.7-fix-capslock.patch to fix bug #431222.

* Thu Mar 20 2008 Huang Peng <phuang@redhat.com> - 1.4.7-20
- Replase scim-system-config.patch with scim-system-global.

* Thu Mar 20 2008 Huang Peng <phuang@redhat.com> - 1.4.7-19
- Drop scim-system-config.patch and scim-1.4.7-fix-capslock.patch.
- Ignore capslock mask to fix bug #431222.

* Thu Mar 13 2008 Huang Peng <phuang@redhat.com> - 1.4.7-18
- Replace scim-pinyin to scim-python-pinyin for scim-lang-chinese

* Mon Mar 10 2008 Jens Petersen <petersen@redhat.com> - 1.4.7-17
- remove the frame around the help text in the help dialog

* Wed Mar 5 2008 Huang Peng <phuang@redhat.com> - 1.4.7-16
- Remove scim-restart script for fixing #435889.

* Tue Mar 4 2008 Huang Peng <phuang@redhat.com> - 1.4.7-15
- Let scim gtkim context work with gtk plug widget #251878.

* Mon Mar 3 2008 Huang Peng <phuang@redhat.com> - 1.4.7-14
- Fix capslock problem #431222.

* Mon Mar 3 2008 Huang Peng <phuang@redhat.com> - 1.4.7-13
- Fix fallback problem in gtkim module #235147.

* Tue Feb 26 2008 Huang Peng <phuang@redhat.com> - 1.4.7-12
- Update to scim.conf to use /usr/bin/scim to start scim processes.

* Thu Feb 21 2008 Huang Peng <phuang@redhat.com> - 1.4.7-11
- Update to scim.conf to make scim can work with imsettings.

* Fri Feb 15 2008 Jens Petersen <petersen@redhat.com> - 1.4.7-10
- make Wijesekera the default input method for Sinhala

* Thu Feb 14 2008 Huang Peng <phuang@redhat.com> - 1.4.7-9
- remove support locales in gtk im-scim module to avoid gtk automatically
  picking up scim im module.
- rebuild for gcc43

* Mon Jan 21 2008 Jens Petersen <petersen@redhat.com> - 1.4.7-8
- change the default Simplified Chinese IME to scim-python Pinyin
- do not set the trigger hotkey for all locale by default
- remove unused ChangeFactoryGlobally key from system config

* Fri Oct 19 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-7.fc8
- quote backquotes in xinput config file (#339271)

* Fri Oct 12 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-6
- make scim-lang-*.x86_64 require scim-bridge-gtk multilib (#327151)

* Thu Sep 20 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-5
- %{_sysconfdir}/X11/xinit/xinput.d is now owned by im-chooser
- no longer require xorg-x11-xinit

* Tue Sep 18 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-4
- source none.conf in xinput script when skipping scim startup

* Thu Sep 13 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-3
- add scim-1.4.7-ja-sinhala-236715.patch to add Japanese translation of
  Sinhala (#236715)
- gtk2 now owns %{_libdir}/gtk-2.0/immodules
- add Nepali meta package
- specify full paths in xinput script and use SHORT_DESC

* Fri Aug 17 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-2
- update License field
- modify xinput.d script to not startup scim if no IMEs are installed
- devel package requires pkgconfig
- improve meta package macro language in summary and description 
- subpackage rawcode engine
- update meta packages for m17n-contrib
- move ownership of libdir dirs to main package

* Wed Jun 27 2007 Jens Petersen <petersen@redhat.com> - 1.4.7-1
- update to 1.4.7 release

* Fri Jun 22 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-6
- make Cangjie3 the default input method for Hong Kong and disable Cangjie
  by default instead of Cangjie3 and Cangjie5 (Roy Chan, #245121)

* Thu Jun 21 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-5
- add scim-lang-* meta packages to aid yum package group handling of scim
  core packages so they no longer need to be installed by default

* Tue Jun  5 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-4
- drop scim_panel_gtk-settle-toolbar-after-drag.patch since it interferes with
  user toolbar placement (reported by Ryo Dairiki, #242610)

* Wed May 30 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-3
- save the hotkey for lang in initial-locale-hotkey-186861.patch again

* Tue May 29 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-2
- fix initial-locale-hotkey-186861.patch to read system hotkey config
  correctly (reported by Eugene Teo, #241629)

* Mon May 21 2007 Jens Petersen <petersen@redhat.com> - 1.4.6-1
- update to 1.4.6 release
  - scim_panel-observe-workarea-xprop-204442.patch and
    scim_x11_frontend-ic-focus-LTC27940-215953.patch are no longer needed
  - update scim-1.4.5-panel-menu-fixes.patch and
    scim_panel_gtk-icon-size-fixes.patch

* Fri May  4 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-18
- completely remove scim-setup.desktop to stop it appearing in
  "Applications -> Other" (#238966)

* Wed May  2 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-17
- remove scim-setup from the desktop preferences menu since it is confusing
  with im-chooser and can be started directly from the scim command menu

* Tue May  1 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-16
- unrevert the last changes to initial-locale-hotkey-186861.patch to allow
  no hotkey to be set and define Ctrl+space as the default hotkey for all
  locale again in system config
- require im-chooser

* Wed Apr 18 2007 Warren Togami <wtogami@redhat.com> - 1.4.5-15
- revert previous change made in #235435 due to a more complete solution
  in #236974.  SCIM will no longer start by default on non-Asian locales.
  Non-Asian desktop users can choose to enable scim explicitly with im-chooser.

* Tue Apr 17 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-14
- update initial-locale-hotkey-186861.patch to really turn off the Ctrl-Space
  hotkey by default for non-Asian users (#235435)

* Wed Apr 11 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-13
- do not set a hotkey by default for non-Asian users (#235435)
- move the scim system config file from scim-system-default-config.patch
  into a source file scim-system-config

* Wed Apr  4 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-12
- add X-GNOME-PersonalSettings category to scim-setup.desktop (#234167)
- also use desktop-file-install instead of scim-setup-desktop-file.patch to
  remove Applications category

* Tue Mar 13 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-11
- improve sourceforge url to main tarball (#226395)
- preserve timestamps under make install (#226395)

* Mon Mar 12 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-10
- make only scim-libs own lib directories used by both scim and scim-libs
  since scim requires scim-libs (#226395)
- update desktop file to remove deprecated X-Fedora and Applications
  categories with scim-setup-desktop-file.patch (#226395)

* Fri Mar  9 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-9
- add scim-1.4.5-no-rpath-libdir.patch to remove rpaths to libdir
- rpmlint cleanup (#226395)

* Mon Feb 12 2007 Jens Petersen <petersen@redhat.com> - 1.4.5-8
- separate gtk immodule out to a separate subpackage
- update icons with improvements by Andy Fitzsimon
- add functions to xinput script to test for presence of immodules

* Fri Dec 15 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-7
- improve scim_panel-observe-workarea-xprop-204442.patch to autosnap within
  desktop workarea (#204442)
- add scim_panel_gtk-settle-toolbar-after-drag.patch to autosnap toolbar after
  dragging
- improve initial-locale-hotkey-186861.patch not to set next/previous factory
  and show menu hotkeys by default (#219247)
- remove show factory menu hotkey and add super and hyper as valid modifiers
  in scim-system-default-config.patch
- improve scim-1.4.5-panel-menu-fixes.patch to correctly name recently used
  factories for same language (#217324)

* Fri Dec  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-6
- fix scim-restart quoting for pkill -f
- rename scim-turn-off-snooper.patch to
  scim-gtkimm-default-snooper-off-213796.patch

* Fri Dec  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-5
- move dl modules used by im-scim.so back to scim-libs for multilib (#215583)
- revert gtkimm-clear-preedit-on-reset-174143.patch for now to be consistent
  with scim-bridge and upstream behaviour (#174143)
- improve scim-restart to also restart xim socket and only kill user's own
  processes (#205547)

* Fri Nov 24 2006 Shawn Huang <phuang@redhat.com> - 1.4.5-4
- add scim-gtkimm-default-snooper-off-213796.patch to turn off key snooper in
  im-scim to avoid crashes when clicking during scim gtkimm preedit (#213796)

* Fri Nov 17 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-3
- add scim_panel-observe-workarea-xprop.patch to make toolbar respect desktop
  work area (Takuro Ashie, #204442)
- add scim_x11_frontend-ic-focus-LTC27940-215953.patch from cvs to fix XIM
  focus preedit commit issue (Shoji Sugiyama, #215953)
- add scim_panel_gtk-emacs-cc-style.patch to set emacs cc-mode style for panel
- reduce systray icon size even more to 11

* Fri Nov 17 2006 Shawn Huang <phuang@redhat.com> - 1.4.5-2
- add scim-fix-unload-segfault.patch to fix xim process segfaulting
  when already running (#206995)

* Tue Nov  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.5-1
- update to 1.4.5 release
- no longer need scim.pc-versioned-moduledir-179706.patch,
  scim_panel_gtk-systray-click-199187.patch,
  scim_panel_gtk-menu-recently-used-factories.patch,
  scim_backup-default-engine-2letter-locale-197058.patch,
  scim_utility-Assamese-locale-fix.patch,
  scim-gtkimm-underline-attrib-206397.patch,
  and scim_x11_frontend-underline-attrib-206397.patch
- update scim-system-default-config.patch, scim_panel_gtk-icon-size-fixes.patch
- add scim-1.4.5-panel-menu-fixes.patch to fix latest factory menu labelling
- improve scim-restart script to also handle scim-bridge (#205547)
- obsolete iiimf-csconv (#211875)
- add Hangul keysym to Korean hotkeys (#212115)

* Thu Nov  2 2006 Jens Petersen <petersen@redhat.com>
- return scim-bridge-qt support to xinput script

* Tue Oct  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-35
- reduce tray icon size to 12 to fit button in
  scim_panel_gtk-icon-size-fixes.patch
- add scim-gtkimm-underline-attrib-206397.patch and
  scim_x11_frontend-underline-attrib-206397.patch from upstream cvs (#206397)
- make Chinese full/half width icons darker

* Tue Sep  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-34
- remove dist tag from xorg-x11-xinit requires (#204154)
- remove scim-bridge-qt from xinput script for now
- buildrequire gettext instead of gettext-devel

* Fri Sep  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-33
- update xinput.d script for scim-bridge
- improvements to menu and full/half width icons (Andy Fitzsimon)

* Thu Aug 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-32
- revert tray icon to a button to get transparency working (#198259)
- better full/half icons (Andy Fitzsimon)
- silence remove of old alternatives (#203794)

* Wed Aug  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-31
- improve scim_panel_gtk-menu-recently-used-factories.patch to handle
  two letter locale and "other"
- simplify scim_panel_gtk-systray-click-199187.patch to handle switching
  between tray menus better (Qingyu Wang)
- add scim_backup-default-engine-2letter-locale.patch to improve matching of
  m17n maps (#197058)
- add scim_utility-Assamese-locale-fix.patch to list Assamese as as_IN

* Mon Aug  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-30
- improvements to scim_panel_gtk-menu-recently-used-factories.patch
  - only list up to 5 recently used factories and only when more than 5 in menu
  - keep menu entry of recenty used factory in original place too
  - fix display of English/European entry
- bring back Ctrl+space hotkey for Japanese and Korean users for backward
  compatibility (#201173)
- include European keyboard in default factories again to avoid breaking
  deadkey support in XIM apps (lxo, #188357)
- move scim modules to the main package

* Fri Jul 28 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-29
- fix scim_panel_gtk-systray-click-199187.patch for second click away from icon

* Thu Jul 27 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-26
- fixed the bug 199187 with scim_panel_gtk-systray-click-199187.patch

* Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-25
- suffix xinput file with .conf and bump priority to 82
- xinput sub-scripts moved to a subdir
- clearer new half-letter and half-punct icons (Andy Fitzsimon)

* Mon Jul 17 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-24
- update to latest scim-1.4 branch
  - should fix systray icon transparency (Saturo Sato, #198259)
- list factories on menu in most recently used order with
  scim_panel_gtk-menu-recently-used-factories.patch (#187027)
- new set of icons based on Tango project design (Andy Fitzsimon, #187024)
- change defaults to no sticky icon in toolbar and vertical lookup window
- fix various icon size problems with scim_panel_gtk-icon-size-fixes.patch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.4.4-23.1
- rebuild

* Wed Jul  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-23
- use xinputrc instead of xinput.d (#194458)
- require xorg-x11-xinit >= 1.0.2-5.fc6

* Wed Jul  5 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-22
- update to head of scim-1.4 branch
  - buildrequire doxygen and build html for snapshots
  - rawcode-unicode-maxlength.patch, scim-panjabi-punjabi.patch, and
    factory-menu-singlet-submenus-187027.patch no longer needed
- prereq gtk2 >= 2.9.1-2 and ignore update-gtk-immodules errors
- remove with_libstdc_preview macro

* Tue Jun 20 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-21
- changes to default system config (scim-system-default-config.patch):
  - set default IMEs for Chinese locale (#187028)
  - only set next and previous factory hotkeys for Chinese locale
  - do not set F9 as a hotkey in Korean locale (#195633)
  - disable rawcode, European keyboard, and various scim-tables Chinese tables
    by default (#187028)

* Thu Jun 15 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-20
- use _host not _target_platform for update-gtk-immodules in scripts (#195343)

* Tue Jun 13 2006 Qingyu Wang <qwang@redhat.com> - 1.4.4-19
- add initial-locale-hotkey-186861.patch to implement locale-based subkeys
  to initialize users' hotkey configuration keys (#186861)
- update scim-system-default-config.patch with localized hotkeys for
  Japanese and Korean

* Thu Jun  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-18
- scim-bridge moved to Extras for now (also fixes #191886)

* Tue May 16 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-17
- update to scim-bridge 0.1.8 (#191329)
- test factory-menu-singlet-submenus-187027.patch to avoid having language
  submenus for a single IME

* Tue May  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-16
- update to scim-bridge 0.1.7
- improve qtimm setup in xinput.d file

* Tue Apr 18 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-15
- scim-bridge-0.1.6

* Mon Apr 10 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-14
- subpackage scim-bridge and add xinput.d file for scim-bridge
  - add scim_ver and scim_bridge_ver

* Fri Apr  7 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-13
- update to scim-bridge-0.1.4

* Mon Apr  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-12
- update to scim-bridge-0.1.3
  - no longer need to bootstrap

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-11
- include experimental scim-bridge-0.1.2 by Ryo Dairiki (#185693)
  - make scim-bridge the default gtkimmodule for now
- reenable qtimm module (#182177)

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-10
- build without libstdc++so7 for now
- turn on scim by default for all locale: add xinput.d/default
- drop the redundant module dirs in scim-1.0/
- add Alt-` to list of default hotkeys for Japanese users with us keyboard

* Wed Mar 29 2006 Jens Petersen <petersen@redhat.com>
- make scim-libs prereq libstdc++so7 to avoid update-gtk-immodules error when
  installing on i386 (#186365)
- setup xinput.d for some more locale (as_IN, or_IN, si_LK, vi_VN, and zh_HK)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-9
- make scim-libs prereq gtk2 > 2.8 to avoid update-gtk-immodules error
  when upgrading from FC4 (#183636)

* Wed Mar  1 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-8
- add scim-system-default-config.patch
  - add Zenkaku_Hankaku as trigger hotkey for Japanese users
  - use static XIM event flow so deadkeys work under XIM in off state (#169975)
- add alternatives as prereq for %%post and %%postun (pknirsch, #182853)

* Fri Feb 24 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-6
- fix Punjabi spelling with scim-panjabi-punjabi.patch (aalam)

* Mon Feb 20 2006 Warren Togami <wtogami@redhat.com> - 1.4.4-5
- Add epoch to iiimf Obsoletes so it actually removes it (#173071)
  NOTE: The goal of these Obsoletes is for the official supported 
  upgrade path to work smoothly.  If users want to use iiimf, they
  are free to do so but their package must be compatible.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.4.4-4.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-4
- parse the libstdc++so7 datestamp from the wrapper script

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-3
- build conditionally with libstdc++so7 preview to workround libstdc++ weak
  symbol version conflicts for c++ gtk apps built with older gcc
  (Benjamin Kosnik, #166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- do not change scim_binary_version in scim.pc-versioned-moduledir-179706.patch
- set qtimm to xim for now

* Fri Feb  3 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-2
- remove scim-reload-engines-165655.patch since it seems to break input after
  reloading configuration (#179807)
- add gtkimm-clear-preedit-on-reset-174143.patch to clear the preedit buffer
  when IME turned off (Qian Shen, #174143)
- add rawcode-unicode-maxlength.patch to improve input of unicode codes
  (James Su, #173102)
- add scim.pc-versioned-moduledir-179706.patch to include api version in
  moduledir in scim.pc so that IMEs get installed in versioned dir by default
  (Akira Tagoh, #179706)

* Fri Jan 13 2006 Jens Petersen <petersen@redhat.com> - 1.4.4-1
- update to 1.4.4 bugfix release
  - scim-gtk-langs-167090.patch no longer needed since 1.4.3
- move scim dl modules to scim-libs for multilib to work correctly
  - define %%scim_api

* Mon Dec 19 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-9
- enable linker symbol versioning now that mt_alloc is fixed (#173220)
- buildrequire libXt-devel for configure
- buildrequire autoconf, automake, and libtool for autoreconf

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-8
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-7
- make "reload config" reload IMEs with scim-reload-engines-165655.patch
  (Qian Shen, #165655)
- add iiimf obsoletes for upgrading (#173071)

* Tue Nov  1 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-6
- avoid errors in postun script when uninstalling

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-5
- fixing quoting in scim-restart
- make post and postun scripts for scim-libs

* Thu Sep 22 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-4
- make scim-devel require scim-libs
- add xinput.d entries for Indic langs

* Thu Sep 15 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-3
- move libs and the gtk immodule to scim-libs for multilib

* Fri Sep  9 2005 Jens Petersen <petersen@redhat.com>
- improve scim-restart script to take account of the config module in use
  (Liu Cougar)

* Fri Sep  2 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-2
- add scim-restart script to make it easier to restart scim after updating
  IMEs with scim-add-restart.patch
- add scim-gtk-langs-167090.patch to set gtk immodule language list empty
  for now so that rhgb doesn't load scim (Warren Togami, #167088)

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 1.4.2-1
- update to 1.4.2 release

* Thu Aug 11 2005 Jens Petersen <petersen@redhat.com> - 1.4.1-1
- update to 1.4.1 bugfix release
- source scim-qtimm script if present from scim xinput script

* Mon Aug  1 2005 Jens Petersen <petersen@redhat.com> - 1.4.0-3
- bring back the xinput alternatives settings for now
- quote the postun readlink test (wcalee@myrealbox.com, #164674)

* Sat Jul 30 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com>
- don't explicitly --disable-ld-version-script since this turns on versioning

* Sat Jul 30 2005 Jens Petersen <petersen@redhat.com>
- own the system xinput.d dir

* Wed Jul 27 2005 Jens Petersen <petersen@redhat.com> - 1.4.0-2
- initial build for Fedora Core
- remove xinput alternatives settings out to IME packages
- drop the old Chinese manual from docs for now
- make scim-1.0 dirs accessible

* Fri Jul 16 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 1.4.0-1
- update to 1.4.0 release

* Sat Jul  9 2005 Jens Petersen <petersen@redhat.com> - 1.3.3-1
- update to 1.3.3 release
- disable linking with version-scripts for now since they cause some problems
- disable building of static libs

* Tue Jul  5 2005 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2 test release
- don't set xinput.d script executable
- no need to set XMODIFIERS explicitly and QT_IM_MODULE in xinput.d script

* Mon Jun 20 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-2
- Remove one of doubled capplets for setup.

* Sat May 28 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.3-1
- update to 1.2.3 release

* Fri Mar 13 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 1.2.2-9
- Initial packaging for Fedora Extras
- cleanup and fixes (Konstantin Ryabitsev, Jens Petersen)

* Sun Jan 9 2005 James Su <suzhe@tsinghua.org.cn>
- Remove GConf Config module.

* Wed Jan 5 2005 James Su <suzhe@tsinghua.org.cn>
- Remove table IMEngine.

* Fri Aug 6 2004 James Su <suzhe@tsinghua.org.cn>
- Move scim-launcher and scim-panel-gtk to /usr/lib/scim-1.0.

* Sun Jun 20 2004  James Su <suzhe@tsinghua.org.cn>
- Merge all things into one package.

* Sat Jun 19 2004  James Su <suzhe@tsinghua.org.cn>
- Added /usr/libexec/scim-launcher.
- Remove setup module for SocketFrontEnd and SocketIMEngine.

* Mon Mar 8 2004  James Su <suzhe@turbolinux.com.cn>
- Added scim-config-agent.

* Thu Oct 30 2003 James Su <suzhe@turbolinux.com.cn>
- Added Simplified Chinese User Manual.

* Wed Sep 03 2003 James Su <suzhe@turbolinux.com.cn>
- cleanup spec.

* Tue Sep 02 2003 James Su <suzhe@turbolinux.com.cn>
- upto 0.8.0

* Tue Jul 29 2003 James Su <suzhe@turbolinux.com.cn>
- updated to include scim-panel-gtk.

* Thu Jun 19 2003 James Su <suzhe@turbolinux.com.cn>
- updated to include scim-setup and its modules.

* Thu Apr 3 2003 James Su <suzhe@turbolinux.com.cn>
- added suite package, which includes all necessary components of SCIM.

* Tue Mar 25 2003 James Su <suzhe@turbolinux.com.cn>
- updated to v0.4.0

* Wed Feb 26 2003 James Su <suzhe@turbolinux.com.cn>
- implemented dynamic adjust feature for generic table module.
- fixed key handling bug in generic table module.

* Mon Feb 10 2003 James Su <suzhe@turbolinux.com.cn>
- Replaced highlight_start and highlight_end in scim_server
  and scim_frontend with AttributeList (scim_attributes.h)
- Moved icons/* to data/icons and gtkstringview.* to
  utils/

* Thu Jan 2 2003 James Su <suzhe@turbolinux.com.cn>
- updated configure.ac and Makefile.am
- ready to release 0.3.0

* Tue Nov 12 2002 James Su <suzhe@turbolinux.com.cn>
- merged signal system from libinti.
- implemented namespace scim.
- implemented referenced object.
- version 0.3.0

* Tue Nov 05 2002 James Su <suzhe@turbolinux.com.cn>
- minor fixes for table IM module.

* Mon Nov 04 2002 James Su <suzhe@turbolinux.com.cn>
- More IMdkit memory leak fixes.
- Table input method bugfixes.
- version 0.2.2

* Fri Nov 01 2002 James Su <suzhe@turbolinux.com.cn>
- improved table input method.
- actually fixed the memleaks within IMdkit.
- pumped the version to 0.2.1

* Thu Oct 31 2002 James Su <suzhe@turbolinux.com.cn>
- fixed some memory leaks in IMdkit
- reduced memory usage.
- upgraded to libtool-1.4.3

* Tue Oct 29 2002 James Su <suzhe@turbolinux.com.cn>
- finished Generic Table input server module.
- fixed several bugs in scim-lib.

* Thu Oct 10 2002 James Su <suzhe@turbolinux.com.cn>
- used gettext to support i18n message.
- added release info to lib name.

* Mon Sep 30 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.4
- added Embedded Lookup Table style into X11 FrontEnd.
- use wchar_t instead of unsigned long if __STDC_ISO_10646__ defined.

* Sun Sep 22 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.3
- config button of X11 FrontEnd was disabled.

* Fri Sep 6 2002 James Su <suzhe@turbolinux.com.cn>
- simplified the utilities and lookup table interface.

* Wed Aug 21 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.2
- added configuration options to disable modules.
- enhanced X11 FrontEnd.

* Sun Aug 11 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.1
- X11 FrontEnd was enhanced.

* Sat Aug 10 2002 James Su <suzhe@turbolinux.com.cn>
- version 0.1.0
- many bugfixes.
- Help window of X11 FrontEnd was implemented.
- scim can exit cleanly.

* Fri Aug 2 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.13.
- Minor bugfixes.

* Mon Jul 29 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.12.
- Minor bugfixes.

* Sun Jul 28 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.11.
- Minor bugfixes.

* Sun Jul 21 2002 James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.10.
- Added Simple Config module.

* Sat Jun 22 2002 James Su <suzhe@turbolinux.com.cn>
- first public release of SCIM.

